Problemas para instalar o Vulkan

Salve pessoal!
NUNCA joguei no linux, será minha primeira experiência, se eu conseguir é claro :sweat_smile:
Minha VGA é um pouco antiga, é uma GTS 250 e estou com o driver 340.108 e aparentemente, até onde consegui pesquisar, o Vulkan só funciona com o driver a partir da versão 440. É isso mesmo? Não vou conseguir instalar o Vulkan no meu PC a menos q eu troque a VGA?
Existe alguma alternativa?

1 Curtida

É… Aparentemente o drivers para o Vulkan só começaram a serem implementados depois da versão 350:

Mas não é necessário ter o Vulkan instalado para jogar alguns jogos. Especialmente se forem nativos, pois na maioria usam o OpenGL.

2 Curtidas

É que eu queria instalar um jogo da Epic Games, e na hora da instalação da Epic Games Store disse que preciso do Vulkan.

Ah sim, Entendi. É, ai complica um pouco.
Você pode tentar editar o script para remover a dependência do Vulkan:
https://lutris.net/games/epic-games-store-latest/installer/edit

Mude dxvk: true para dxvk: false
Depois clique em Test this installer

Talvez tenha que alterar/remover outras coisas do script também. Só não sei dizer se o programa irá rodar bem ou não fazendo isso.

1 Curtida

Vlw @brunonzanette! Vou executar os procedimentos e testar. E posto aqui o resultado :wink:

1 Curtida

Nem precisei mexer no script, no próprio Lutris eu encontrei a opção para desligar o DXVK


Até chegou numa tela onde não havia chegado.
Só que aí veio a surpresa.
image

Putz. Ai complicou de vez… :frowning:

Vlw Bruno!
Vou pegar uma outra placa q tenho aqui pra testar.
É uma GT630, e eu já estava usando, mas eu observei que estava dando umas zuadas na tela, teve uma vez que sumiu tudo da tela e ficou um grande quadrado rosa…aí penso ser problema na placa.
Enfim…vlw aí pela força por enquanto.

1 Curtida

Fala MWeber, tudo bem? O problema é que a sua placa é antiga mesmo cara, mas segundo a lista de dispositivos da Vulkan, a versão 1.1.99 está disponível para essa placa que você citou, a GeForce GT 630.

Opa fala ae Danielt, então man, amanhã mesmo vou testar a 630 o problema é q eu acho q ela está com algum problema ou é no driver. Pq tipo, no Windows essa placa funcionou de boa, já no Linux ficou aparecendo um monte de quadrados na tela, cortes estranhos na tela e etc. Amanhã vou testar novamente e ver o q rola. Vlw aí por responde :slight_smile:

Ae moçada! Fucionou coma placa GT630.
Mas quando eu rodo o vulkaninfo no terminal aparece esses erros

> ERROR: [Loader Message] Code 0 : /usr/lib/i386-linux-gnu/libvulkan_radeon.so: wrong ELF class: ELFCLASS32
> ERROR: [Loader Message] Code 0 : /usr/lib/i386-linux-gnu/libvulkan_intel.so: wrong ELF class: ELFCLASS32
> /build/vulkan-tools-KEbD_A/vulkan-tools-1.2.131.1+dfsg1/vulkaninfo/vulkaninfo.h:477: failed with ERROR_INITIALIZATION_FAILED

1 Curtida

Para funcionar essa placa, tive q remover todos os drivers da NVidia e Nouveau nativos do PopOs, depois baixei o último driver compatível com essa placa no próprio site da NVidia e fiz a instalação, aí sim reconheceu. Pq o pop insistia em instalar o driver na versão 340 sendo q essa placa vai até a versão 390.

2 Curtidas

Nada feito galera! Se eu deixo o DXVK ativado recebo uma mensagem de que o Vulkan não está instalado ou não suportado pelo sistema.

erro2

Se eu desativo o DXVK a Epic Games abre, consigo clicar no jogo pra rodar mas fica toda vida na tela do launcher… :confused:

tela2

Mas agora, com a placa nova, você pode instalar o Vulkan, não pode?

sudo apt install libvulkan1 libvulkan1:i386 mesa-vulkan-drivers mesa-vulkan-drivers:i386

Fonte: docs/InstallingDrivers.md at master · lutris/docs · GitHub

Mas aí é q tá, todas essas libs estão instaladas e o mesa-driver tb

Você atualizou para o driver mais novo?

Só para tirar uma dúvida, você está querendo jogar que jogo?

Acredito q sim. Pq qdo eu removi os drivers da NVidia da placa antiga o mesa e vulkan foram removido tb. E depois q instalei o driver 390 instalou novamente as libs e o mesa. Mas vou conferir novamente

É o Fortnite da Epic Games

Fortnite não funciona em Linux por causa do anticheat.